# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.5)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget RDInchiLib RDGeneral RDBoost DataStructs RDGeometryLib Alignment EigenSolvers Optimizer ForceField DistGeometry Catalogs GraphMol Depictor SmilesParse FileParsers SubstructMatch ChemReactions ChemTransforms Subgraphs FilterCatalog FragCatalog Descriptors Fingerprints PartialCharges MolTransforms ForceFieldHelpers DistGeomHelpers MolAlign MolChemicalFeatures ShapeHelpers MolCatalog MolDraw2D FMCS MolHash MMPA StructChecker ReducedGraphs Trajectory SLNParse InfoTheory ChemicalFeatures)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
# Use original install prefix when loaded through a
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${_IMPORT_PREFIX}" REALPATH)
get_filename_component(_realOrig "/usr/lib64/cmake" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(_IMPORT_PREFIX "/usr/lib64/cmake")
endif()
unset(_realOrig)
unset(_realCurr)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target RDInchiLib
add_library(RDInchiLib SHARED IMPORTED)

# Create imported target RDGeneral
add_library(RDGeneral SHARED IMPORTED)

# Create imported target RDBoost
add_library(RDBoost SHARED IMPORTED)

# Create imported target DataStructs
add_library(DataStructs SHARED IMPORTED)

# Create imported target RDGeometryLib
add_library(RDGeometryLib SHARED IMPORTED)

# Create imported target Alignment
add_library(Alignment SHARED IMPORTED)

# Create imported target EigenSolvers
add_library(EigenSolvers SHARED IMPORTED)

# Create imported target Optimizer
add_library(Optimizer SHARED IMPORTED)

# Create imported target ForceField
add_library(ForceField SHARED IMPORTED)

# Create imported target DistGeometry
add_library(DistGeometry SHARED IMPORTED)

# Create imported target Catalogs
add_library(Catalogs SHARED IMPORTED)

# Create imported target GraphMol
add_library(GraphMol SHARED IMPORTED)

# Create imported target Depictor
add_library(Depictor SHARED IMPORTED)

# Create imported target SmilesParse
add_library(SmilesParse SHARED IMPORTED)

# Create imported target FileParsers
add_library(FileParsers SHARED IMPORTED)

# Create imported target SubstructMatch
add_library(SubstructMatch SHARED IMPORTED)

# Create imported target ChemReactions
add_library(ChemReactions SHARED IMPORTED)

# Create imported target ChemTransforms
add_library(ChemTransforms SHARED IMPORTED)

# Create imported target Subgraphs
add_library(Subgraphs SHARED IMPORTED)

# Create imported target FilterCatalog
add_library(FilterCatalog SHARED IMPORTED)

# Create imported target FragCatalog
add_library(FragCatalog SHARED IMPORTED)

# Create imported target Descriptors
add_library(Descriptors SHARED IMPORTED)

# Create imported target Fingerprints
add_library(Fingerprints SHARED IMPORTED)

# Create imported target PartialCharges
add_library(PartialCharges SHARED IMPORTED)

# Create imported target MolTransforms
add_library(MolTransforms SHARED IMPORTED)

# Create imported target ForceFieldHelpers
add_library(ForceFieldHelpers SHARED IMPORTED)

# Create imported target DistGeomHelpers
add_library(DistGeomHelpers SHARED IMPORTED)

# Create imported target MolAlign
add_library(MolAlign SHARED IMPORTED)

# Create imported target MolChemicalFeatures
add_library(MolChemicalFeatures SHARED IMPORTED)

# Create imported target ShapeHelpers
add_library(ShapeHelpers SHARED IMPORTED)

# Create imported target MolCatalog
add_library(MolCatalog SHARED IMPORTED)

# Create imported target MolDraw2D
add_library(MolDraw2D SHARED IMPORTED)

# Create imported target FMCS
add_library(FMCS SHARED IMPORTED)

# Create imported target MolHash
add_library(MolHash SHARED IMPORTED)

# Create imported target MMPA
add_library(MMPA SHARED IMPORTED)

# Create imported target StructChecker
add_library(StructChecker SHARED IMPORTED)

# Create imported target ReducedGraphs
add_library(ReducedGraphs SHARED IMPORTED)

# Create imported target Trajectory
add_library(Trajectory SHARED IMPORTED)

# Create imported target SLNParse
add_library(SLNParse SHARED IMPORTED)

# Create imported target InfoTheory
add_library(InfoTheory SHARED IMPORTED)

# Create imported target ChemicalFeatures
add_library(ChemicalFeatures SHARED IMPORTED)

# Load information for each installed configuration.
get_filename_component(_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
file(GLOB CONFIG_FILES "${_DIR}/rdkit-targets-*.cmake")
foreach(f ${CONFIG_FILES})
  include(${f})
endforeach()

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(target ${_IMPORT_CHECK_TARGETS} )
  foreach(file ${_IMPORT_CHECK_FILES_FOR_${target}} )
    if(NOT EXISTS "${file}" )
      message(FATAL_ERROR "The imported target \"${target}\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_IMPORT_CHECK_FILES_FOR_${target})
endforeach()
unset(_IMPORT_CHECK_TARGETS)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
